package cn.com.qmth.scancentral.task;

import cn.com.qmth.scancentral.service.UploadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class UploadJob {

    @Autowired
    private UploadService uploadService;

    @Scheduled(fixedDelay = 20 * 1000, initialDelay = 20 * 1000)
    public void process() {
        uploadService.upload();
    }

}
