package cn.com.qmth.scancentral.task;

import cn.com.qmth.scancentral.support.TaskLockUtil;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class CleanTaskJob {

    @Scheduled(cron = "0 0/10 6-23 * * ?")
    public void clearTimeoutOmrTask() {
        TaskLockUtil.clearTimeoutOmrTask(30 * 60 * 1000);
    }

    @Scheduled(cron = "0 0/10 6-23 * * ?")
    public void clearTimeoutVerifyTask() {
        TaskLockUtil.clearTimeoutVerifyTask(30 * 60 * 1000);
    }

    @Scheduled(cron = "0 0/10 6-23 * * ?")
    public void clearTimeoutCheckTask() {
        TaskLockUtil.clearTimeoutCheckTask(30 * 60 * 1000);
    }

    @Scheduled(cron = "0 0/10 6-23 * * ?")
    public void clearTimeoutStudentAnswerTask() {
        TaskLockUtil.clearTimeoutStudentAnswerTask(30 * 60 * 1000);
    }

    @Scheduled(cron = "0 0/10 6-23 * * ?")
    public void clearTimeoutAssignedCheckTaskTask() {
        TaskLockUtil.clearTimeoutAssignedCheckTaskTask(30 * 60 * 1000);
    }
}
