package cn.com.qmth.scancentral.task;

import cn.com.qmth.scancentral.service.SessionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class OnlineUserCountJob {

    @Autowired
    private SessionService sessionService;

    @Scheduled(cron = "0/30 * * * * ?")
    public void run() {
        sessionService.clearTimeOutUser();
    }

}
